Index: test/functional/page_attachments_extension_test.rb
===================================================================
--- test/functional/page_attachments_extension_test.rb	(révision 771)
+++ test/functional/page_attachments_extension_test.rb	(copie de travail)
@@ -1,7 +1,9 @@
 require File.dirname(__FILE__) + '/../test_helper'

 class PageAttachmentsExtensionTest < Test::Unit::TestCase
+	include ActionView::Helpers::NumberHelper

+
   fixtures :page_attachments, :pages, :users
   test_helper :render

@@ -48,7 +50,7 @@
     assert_renders "", "<r:attachment></r:attachment>", "/"
     assert_renders img.public_filename, '<r:attachment:url name="rails.png" />', '/'
     assert_renders img.content_type, '<r:attachment:content_type name="rails.png" />', '/'
-    assert_renders img.size.to_s, '<r:attachment:size name="rails.png" />', '/'
+    assert_renders number_to_human_size(img.size.to_s), '<r:attachment:size name="rails.png" />', '/'
     assert_renders img.width.to_s, '<r:attachment:width name="rails.png" />', '/'
     assert_renders img.height.to_s, '<r:attachment:height name="rails.png" />', '/'
     assert_renders img.content_type, '<r:attachment:content_type name="rails.png" />', '/'
Index: app/models/page_attachment_tags.rb
===================================================================
--- app/models/page_attachment_tags.rb	(révision 771)
+++ app/models/page_attachment_tags.rb	(copie de travail)
@@ -1,5 +1,6 @@
 module PageAttachmentTags
-  include Radiant::Taggable
+  include Radiant::Taggable
+  include ActionView::Helpers::NumberHelper

   class TagError < StandardError; end

@@ -37,7 +38,7 @@

   [:content_type, :size, :width, :height].each do |key|
     desc %{
-      Renders the `#{key}' attribute of the attachment.
+      Renders the `#{key}` attribute of the attachment.
       The 'name' attribute is required on this tag or the parent tag.  The optional 'size'
       attributes applies only to images.

@@ -49,13 +50,14 @@
       raise TagError, "'name' attribute required" unless name = tag.attr['name'] or tag.locals.attachment
       page = tag.locals.page
       attachment = tag.locals.attachment || page.attachment(name)
-      attachment.attributes["#{key}"]
+      return number_to_human_size(attachment.attributes["size"]) if key == :size
+      return attachment.attributes["#{key}"]
     end
-  end
+  end

   desc %{
-    Renders the date the attachment was uploaded using the specified `format' (Ruby's strftime syntax).
-    The 'name' attribute is required on this tag or the parent tag.
+    Renders the date the attachment was uploaded using the specified `format` (Ruby's strftime syntax).
+    The `name` attribute is required on this tag or the parent tag.
   }
   tag "attachment:date" do |tag|
     raise TagError, "'name' attribute required" unless name = tag.attr['name'] or tag.locals.attachment

